Retrieving Chemo Regimen Templates by Disease Name GET
The DynaMed/DynaMedex GET /v2/chemo-regimens/templates/by-disease-name endpoint returns the chemo regimen templates for diseases matching the given "name" query parameter. This is functionally equivalent to the chemo regimen disease templates endpoint, but allows a lookup by the disease's name instead of its ID.
Basic Search for Chemo Regimen Templates by Disease Name
To Retrieve Chemo Regimen Templates for a Given Disease Name (example):
Gather the following information for the request:
- An access token. Please see Using the Client Credentials Grant for further information.
- A name. This is the name of the disease, which can be found using the chemo regimen diseases endpoint.
Request
GET https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/templates/by-disease-name?name=leukemiaResponse
{
"_metadata": {
"totalItems": 1,
"links": [
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/templates/by-disease-name?name=leukemia"
}
]
},
"items": [
{
"templateId": "BRS201",
"regimenTitle": "Cytarabine/Daunorubicin (7+3)",
"courseTitle": null,
"diseaseId": "3e0ca2a4-2ab5-4c3c-b016-f0cb6dd4efb0",
"diseaseName": "Acute Myeloid Leukemia",
"indicationSentences": [
"Induction therapy for newly diagnosed Acute Myeloid Leukemia"
],
"publishedDate": "2024-03-18",
"agents": [
{
"id": "8f2c4a1b-3d5e-4a6f-9b7c-2e1d4f5a6b7c",
"name": "cytarabine"
},
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "daunorubicin"
}
]
}
]
}Error Response Codes
The DynaMed chemo regimen templates by disease name endpoint can return one of the error response codes.
Updated about 19 hours ago
Did this page help you?
